# SmartGeofenceDetectionMode

The detection mode in which the Smart Geofences feature in running.

| featureNotEnabled | The Smart Geofences feature is not enabled for your app.                                                                        |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| disabled          | Geofence entry/exit detections are disabled. Check the SDK status to find out why.                                              |
| foreground        | Geofence entry/exit detections are limited to when the app is visible in the foreground, due to restricted location permission. |
| background        | Geofence entry/exit detections are running unrestricted in the background.                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/smart-geofences/smartgeofencedetectionmode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
